Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLConnection

`java.lang.Object
oracle.xml.xsql.XSQLConnection`

      public final class XSQLConnection

extends java.lang.Object

Constructor Summary
`XSQLConnection(java.sql.Connection connection, java.lang.String connName)`
`XSQLConnection(java.sql.Connection connection, java.lang.String connName, boolean isOracleConnection)`

Method Summary
`void` `close()`
`java.lang.String` `getConnectionName()`
`java.sql.Connection` `getJDBCConnection()`
`long` `getLastUsed()`
`boolean` `isOracleDriver()`
`void` `updateLastUsed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLConnection

    public XSQLConnection(java.sql.Connection connection,
                          java.lang.String connName)

### XSQLConnection

    public XSQLConnection(java.sql.Connection connection,
                          java.lang.String connName,
                          boolean isOracleConnection)

Method Detail

### isOracleDriver

    public boolean isOracleDriver()

### getJDBCConnection

    public java.sql.Connection getJDBCConnection()

### getConnectionName

    public java.lang.String getConnectionName()

### getLastUsed

    public long getLastUsed()

### updateLastUsed

    public void updateLastUsed()

### close

    public void close()

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.